Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# WrapperCollections::AbstractWrapperIterator Class Reference

`#include <coherence/util/WrapperCollections.hpp>`

Inherits Object, and Muterator.

Inherited by ConverterCollections::ConverterIterator, TypedCollections::TypedIterator, and WrapperCollections::AbstractWrapperListIterator.

List of all members.

## Detailed Description

Iterator implementation which delegates all calls to another Iterator.

## Public Types
typedef spec::Handle | Handle
| AbstractWrapperIterator Handle definition.
typedef spec::View | View
| AbstractWrapperIterator View definition.
typedef spec::Holder | Holder
| AbstractWrapperIterator Holder definition.
## Public Member Functions
virtual bool | hasNext () const
| Determine if the iteration has another element. Returns: true if the iterator has another element
virtual Object::Holder | next ()
  | Return the next element in the iterated series. Returns: the next element in the iterated series Exceptions:
  | coherence::lang::NoSuchElementException | if iteration has no more elements
virtual void | remove ()
  | Remove from the collection associated with this iterator, the last element returned from the iterator. Exceptions:
  | UnsupportedOperationException | if removal is not supported
virtual void | toStream (std::ostream &out) const
| Output a human-readable description of this Object to the given stream. coherence::lang::operator<<(std::ostream, Object::View) is defined and will call into the toStream method, to output Objects. If a managed String object is desired, the COH_TO_STRING macro can be used to build up a String from streamable contents.
     Object::View vKey   = ...
     Object::View vValue = ...
     std::cout << vKey << " = " << vValue << std::endl;

     String::Handle hs = COH_TO_STRING(vKey << " = " << vValue);
  Parameters:
  | out | the stream used to output the description
virtual size32_t | hashCode () const
| Return a hash code value for the Object. This method is supported for the benefit of hash-based containers. The general contract of `hashCode` is: Whenever it is invoked on the same Object more than once during an execution of an application, the `hashCode` method must consistently return the same value, provided no information used in `equals` comparisons on the object is modified. This value need not remain consistent from one execution of an application to another execution of the same application. If two Objects are equal according to the `equals` method, then calling the `hashCode` method on each of the two Objects must produce the same value. It is not required that if two Objects are unequal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce distinct results. However, the programmer should be aware that producing distinct results for unequal objects may improve the performance of hash-based containers. The default implementation is identity based. Returns: a hash code value for this Object
virtual bool | equals (Object::View v) const
## Protected Member Functions
| AbstractWrapperIterator (Iterator::Handle hiterDelegate)
| Create an AbstractWrapperIterator which delegates to the specified Iterator.
| AbstractWrapperIterator (const AbstractWrapperIterator &that)
| Copy constructor.
virtual Iterator::Handle | getDelegate ()
| Return a handle to the delegate.
virtual Iterator::View | getDelegate () const
| Return a view to the delegate.

## Constructor & Destructor Documentation

AbstractWrapperIterator | ( | Iterator::Handle | hiterDelegate | ) | `[protected]`

Create an AbstractWrapperIterator which delegates to the specified Iterator.

Parameters:

  | hiterDelegate | a handle to the specified delegate Iterator

## Member Function Documentation

virtual Iterator::Handle getDelegate | ( |  | ) | `[protected, virtual]`

Return a handle to the delegate.

Returns:
  the delegate handle

Exceptions:

  | UnsupportedOperationException | if the delegate is a view

virtual Iterator::View getDelegate | ( |  | ) | const `[protected, virtual]`

Return a view to the delegate.

Returns:
  the delegate view

The documentation for this class was generated from the following file:

- coherence/util/WrapperCollections.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.